io.undertow.websockets.client

## Class WebSocketClientHandshake

- java.lang.Object
- - io.undertow.websockets.client.WebSocketClientHandshake

Direct Known Subclasses:
  WebSocket13ClientHandshake

    public abstract class WebSocketClientHandshake
    extends Object

Author:
  Stuart Douglas

### Field Summary

Fields
`protected URI` `url`

### Constructor Summary

Constructors
Constructor and Description
`WebSocketClientHandshake(URI url)`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`static WebSocketClientHandshake` `create(WebSocketVersion version, URI uri)`
`static WebSocketClientHandshake` `create(WebSocketVersion version, URI uri, WebSocketClientNegotiation clientNegotiation, Set<ExtensionHandshake> extensions)`
`abstract WebSocketChannel` `createChannel(org.xnio.StreamConnection channel, String wsUri, ByteBufferPool bufferPool, org.xnio.OptionMap options)`
`abstract Map<String,String>` `createHeaders()`
`abstract org.xnio.http.ExtendedHandshakeChecker` `handshakeChecker(URI uri, Map<String,List<String>> requestHeaders)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### url

    protected final URI url

### Constructor Detail

#### WebSocketClientHandshake

    public WebSocketClientHandshake(URI url)

### Method Detail

#### create

    public static WebSocketClientHandshake create(WebSocketVersion version,
                                                  URI uri)

#### create

    public static WebSocketClientHandshake create(WebSocketVersion version,
                                                  URI uri,
                                                  WebSocketClientNegotiation clientNegotiation,
                                                  Set<ExtensionHandshake> extensions)

#### createChannel

    public abstract WebSocketChannel createChannel(org.xnio.StreamConnection channel,
                                                   String wsUri,
                                                   ByteBufferPool bufferPool,
                                                   org.xnio.OptionMap options)

#### createHeaders

    public abstract Map<String,String> createHeaders()

#### handshakeChecker

    public abstract org.xnio.http.ExtendedHandshakeChecker handshakeChecker(URI uri,
                                                                            Map<String,List<String>> requestHeaders)